Botan 1.10.17

Public Member Functions | List of all members
Botan::Unexpected_Message Struct Reference

`#include <tls_exceptn.h>`

Inheritance diagram for Botan::Unexpected_Message:

## Public Member Functions
Alert_Type | type () const throw ()
| Unexpected_Message (const std::string &err)

## Detailed Description

Unexpected_Message Exception

Definition at line 35 of file tls_exceptn.h.

## Constructor & Destructor Documentation

## ◆ Unexpected_Message()

Botan::Unexpected_Message::Unexpected_Message | ( | const std::string & | err | ) |
| inline

Definition at line 37 of file tls_exceptn.h.

37 :
38 TLS_Exception(UNEXPECTED_MESSAGE, err) {}
Botan::UNEXPECTED_MESSAGE
Definition: tls_magic.h:64
Botan::TLS_Exception::TLS_Exception
TLS_Exception(Alert_Type type, const std::string &err_msg="Unknown error")
Definition: tls_exceptn.h:24

## Member Function Documentation

## ◆ type()

Alert_Type Botan::TLS_Exception::type | ( |  | ) | const
throw | ( |
| ) |  |
| inline inherited

Definition at line 22 of file tls_exceptn.h.

22 { return alert_type; }

The documentation for this struct was generated from the following file:

- src/ssl/tls_exceptn.h